.w-search-wrapper {
    width: 178px;
}

.w-search-container {
    /* border: 1px solid #ccc; */
    /* border-radius: 6px; */
    /* background: #fff; */
    position: relative;   /* ⭐ 新增 */
    overflow: visible;
}

.w-search-header-container{
        /* border: 1px solid #ccc; */
    /* border-radius: 6px; */
    /* background: #fff; */
    position: absolute;   /* ⭐ 新增 */
    overflow: visible;
}

/* 输入框容器（用于放 ×） */
.w-search-input-wrapper {
    position: relative;
}

.w-search-input {
    /* border:1px solid #fff; */
    /* outline: none; */
    width: 100%;
    height: 32px;
    padding: 4px 12px 4px 12px;
    /* 右侧留出 × 的空间 */
    border: none;
    outline: none;
    font-size: .88rem;
    /* box-sizing: border-box; */
}


.w-search-form-input {
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: .35rem .4rem;
    font-size: .96rem;
    color: #555;
    background-color: #fff;
    background-image: none;
    max-width: 100%;
    height: 2.25rem
}


.w-search-form-block {
    display: block;
    width: 100%
}

/* 清空按钮 */
.w-search-clear-btn {
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    line-height: 16px;
    text-align: center;
    border-radius: 50%;
    font-size: 14px;
    color: #999;
    cursor: pointer;
    display: none;
}

.w-search-clear-btn:hover {
    background: #eee;
    color: #333;
}

.w-search-result-panel {
    position: absolute;   /* ⭐ 核心 */
    left: 0px;
    top: 38px;            /* 输入框高度 */
    width: 100%;
    border:1px solid #ccc;
    background-color: #fff;
    /* border:1px solid #ccc; */
    /* border-top: 1px solid #eee; */
    /* max-height: 320px; */
    border-radius: 4px;
    max-height: 192px;
    overflow-y: auto;
    z-index: 100;
}


.w-search-header-result-panel {
    /* position: absolute;    */
    position: fixed;
    left: 0px;
    top: 38px;            /* 输入框高度 */
    width: 100%;
    border:1px solid #ccc;
    background-color: #fff;
    /* border:1px solid #ccc; */
    /* border-top: 1px solid #eee; */
    /* max-height: 320px; */
    border-radius: 4px;
    max-height: 192px;
    overflow-y: auto;
    z-index: 100;
}

.w-search-result-item {
    display: flex;
    align-items: center;
    padding-left: 2px;
    padding-right: 6px;
    padding-top: 6px;
    padding-bottom: 6px;
    height: 32px;
    cursor: pointer;
    font-size: 14px;
}

.w-search-result-item:hover {
    background: #f5f7fa;
}

.w-search-result-number {
    text-align: right;
    margin-left: 5px;
    margin-right: 10px;
    color: #999;
    font-size: .78rem;
    flex-shrink: 0;
}

.w-search-result-number:hover{
    color:#19af3c;
}

.w-search-result-text {
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.w-search-empty {
    padding: 6px;
    color: #999;
    font-size: .88rem;
    text-align: center;
}


/**
*
*/
.floating-search-result-item {
    display: flex;
    align-items: center;
    padding-left: 2px;
    padding-right: 6px;
    padding-top: 6px;
    padding-bottom: 6px;
    height: 32px;
    cursor: pointer;
    font-size: .88rem;
}

.floating-search-result-item:hover {
    background: #f5f7fa;
}


.floating-search-result-text {
    flex: 1;
    font-size: .8rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.floating-search-result-number {
    text-align: right;
    margin-left: 5px;
    margin-right: 10px;
    color: #999;
    font-size: .8rem;
    flex-shrink: 0;
}

.floating-search-result-number:hover{
    color:#19af3c;
}


.floating-search-empty {
    padding: 6px;
    color: #999;
    font-size: .8rem;
    text-align: center;
}






.floating-search {
    display: none;
}

@media only screen and (max-width:640px) {

    /* 悬浮容器 */
    .floating-search {
        display: block;
        position: fixed;
        right: 12px;
        top: 58px;
        z-index: 999;
    }

    .floating-search-input{
        font-size: .9rem !important;
    }

    /* 搜索按钮 */
    .floating-search-btn {
        width: 36px;
        height: 36px;
        border-radius: 50%;
        /* background: #1677ff; */
        color: #fff;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        box-shadow: 0 4px 12px rgba(0, 0, 0, .2);
        font-size: 18px;
    }

    /* 搜索面板 */
    /* .search-panel {
position: absolute;
right: 0;
top: 54px;
width: 280px;
background: #fff;
border-radius: 8px;
box-shadow: 0 6px 20px rgba(0,0,0,.15);
padding: 10px;
display: none;
} */

    .floating-search-panel {
        position: absolute;
        right: 0px;
        top: 54px;
        width: 218px;
        max-width: calc(100vw - 24px);
        background: #fff;
        border-radius: 8px;
        box-shadow: 0 6px 20px rgba(0, 0, 0, .15);
        padding: 10px;
        display: none;
    }

    .floating-search-panel.active {
        display: block;
    }

    .floating-search-panel input {
        width: 100%;
        height: 32px;
        padding: 0 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        font-size: .8rem;
        outline: none;
    }

    /* 搜索结果 */
    .floating-search-results {
        margin-top: 8px;
        max-height: 192px;
        overflow-y: auto;
    }

    .floating-search-item {
        padding: 4px 3px;
        font-size: .88rem;
        height: 32px;
        /* border-bottom: 1px solid #eee; */
        cursor: pointer;
    }

    .floating-search-item:hover {
        background: #f5f7fa;
    }

    .floating-empty {
        text-align: center;
        color: #999;
        font-size: 13px;
        padding: 10px;
    }
}